Bug 15668 - Add column configuration to the items table in staff detail pages
Summary: Add column configuration to the items table in staff detail pages
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 5 votes (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
: 23288 (view as bug list)
Depends on:
Blocks: 19282
  Show dependency treegraph
 
Reported: 2016-01-26 14:00 UTC by Katrin Fischer
Modified: 2020-05-11 20:32 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 15668 - Add columns configuraiton to intranet details page (8.31 KB, patch)
2018-03-08 15:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15668: Add column configuration to the items table in staff detail pages (11.00 KB, patch)
2020-03-12 15:14 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 15668: Add column configuration to the items table in staff detail pages (10.41 KB, patch)
2020-03-12 15:20 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 15668: Add column configuration to the items table in staff detail pages (10.41 KB, patch)
2020-03-16 17:42 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 15668: Add column configuration to the items table in staff detail pages (10.90 KB, patch)
2020-03-16 17:43 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 15668: (follow up) add selector to th (1.33 KB, patch)
2020-03-16 17:51 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 15668: Add column configuration to the items table in staff detail pages (10.96 KB, patch)
2020-03-26 12:00 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 15668: (follow up) add selector to th (1.39 KB, patch)
2020-03-26 12:00 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 15668: Add column configuration to the items table in staff detail pages (11.02 KB, patch)
2020-05-02 01:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15668: (follow up) add selector to th (1.45 KB, patch)
2020-05-02 01:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15668: (QA follow-up) Fix capitalization Course Reserves (1.82 KB, patch)
2020-05-02 01:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15668: (QA follow-up) Add date accessioned to column configuration (2.60 KB, patch)
2020-05-02 01:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-01-26 14:00:27 UTC
The items table in staff sometimes doesn't include all the columns a library wants and other times, libraries want columns hidden or removed. It would be nice if the column configuration options would be available for this table.
Comment 1 Nick Clemens 2018-03-08 15:05:38 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2019-01-02 16:36:54 UTC
Hi Nick,

ist this patch testable?
Comment 3 Nick Clemens 2019-01-08 18:10:37 UTC
(In reply to Katrin Fischer from comment #2)
> Hi Nick,
> 
> ist this patch testable?

It needs to take separate holdings into account, not testable
Comment 4 Katrin Fischer 2019-08-18 21:31:20 UTC
*** Bug 23288 has been marked as a duplicate of this bug. ***
Comment 5 Lucas Gass 2020-03-12 15:14:01 UTC
Created attachment 100641 [details] [review]
Bug 15668: Add column configuration to the items table in staff detail pages
Comment 6 Lucas Gass 2020-03-12 15:16:09 UTC
This still doesn't work with the otherholdings table but I rebased, added missing filters and column config yml. 

Can't seem to figure out why the otherholdings won't work. The console error is:

TypeError: b.settings(...)[0].aoColumns[d] is undefined
Comment 7 Lucas Gass 2020-03-12 15:20:06 UTC
Created attachment 100642 [details] [review]
Bug 15668: Add column configuration to the items table in staff detail pages
Comment 8 Lucas Gass 2020-03-16 17:42:09 UTC Comment hidden (obsolete)
Comment 9 Lucas Gass 2020-03-16 17:43:42 UTC
Created attachment 100787 [details] [review]
Bug 15668: Add column configuration to the items table in staff detail pages

To test:
1 - Apply patches
2 - View biblio details in staff client
3 - Should be able to toggle columns
4 - Go to admin columns settings
5 - Change some settings, verify they work
6 - Enable SeparateHoldings
7 - Go to a record that has holdings from 2 different branches
8 - Change some settings, verify they work.
9 - Check the Other Holdings Tabs, change some settings make sure they work.
10. - Test all the dataTable functions like the search box, columns, export. make sure they on both tabs
Comment 10 Lucas Gass 2020-03-16 17:51:45 UTC
Created attachment 100805 [details] [review]
Bug 15668: (follow up) add selector to th

follow up add a selector to the <th> to ensure we count the table in questions.
Should not affect other pages but is needed on detail.tt where there are two tables to configure
Comment 11 ByWater Sandboxes 2020-03-26 12:00:19 UTC
Created attachment 101816 [details] [review]
Bug 15668: Add column configuration to the items table in staff detail pages

To test:
1 - Apply patches
2 - View biblio details in staff client
3 - Should be able to toggle columns
4 - Go to admin columns settings
5 - Change some settings, verify they work
6 - Enable SeparateHoldings
7 - Go to a record that has holdings from 2 different branches
8 - Change some settings, verify they work.
9 - Check the Other Holdings Tabs, change some settings make sure they work.
10. - Test all the dataTable functions like the search box, columns, export. make sure they on both tabs

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 12 ByWater Sandboxes 2020-03-26 12:00:22 UTC
Created attachment 101817 [details] [review]
Bug 15668: (follow up) add selector to th

follow up add a selector to the <th> to ensure we count the table in questions.
Should not affect other pages but is needed on detail.tt where there are two tables to configure

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 13 Jonathan Druart 2020-03-26 15:57:46 UTC
Why are you using bKohaColumnsUseNames?
Comment 14 Lucas Gass 2020-03-26 16:43:50 UTC
Jonathan, 

Because that what I see was done in opac-detail.tt. Would you recommend that we not use it?
Comment 15 Jonathan Druart 2020-04-08 06:43:05 UTC
(In reply to Lucas Gass from comment #14)
> Jonathan, 
> 
> Because that what I see was done in opac-detail.tt. Would you recommend that
> we not use it?

IIRC it should be used when the order of the columns is dynamic, for instance. It would have required less change to not use it in your case.
But now it's done, so I don't think it should be a problem. I thought you had a (real) reason to use it :)
Comment 16 Katrin Fischer 2020-05-02 01:49:45 UTC
Created attachment 104165 [details] [review]
Bug 15668: Add column configuration to the items table in staff detail pages

To test:
1 - Apply patches
2 - View biblio details in staff client
3 - Should be able to toggle columns
4 - Go to admin columns settings
5 - Change some settings, verify they work
6 - Enable SeparateHoldings
7 - Go to a record that has holdings from 2 different branches
8 - Change some settings, verify they work.
9 - Check the Other Holdings Tabs, change some settings make sure they work.
10. - Test all the dataTable functions like the search box, columns, export. make sure they on both tabs

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Katrin Fischer 2020-05-02 01:49:50 UTC
Created attachment 104166 [details] [review]
Bug 15668: (follow up) add selector to th

follow up add a selector to the <th> to ensure we count the table in questions.
Should not affect other pages but is needed on detail.tt where there are two tables to configure

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Katrin Fischer 2020-05-02 01:49:54 UTC
Created attachment 104167 [details] [review]
Bug 15668: (QA follow-up) Fix capitalization Course Reserves
Comment 19 Katrin Fischer 2020-05-02 01:49:59 UTC
Created attachment 104168 [details] [review]
Bug 15668: (QA follow-up) Add date accessioned to column configuration

The date accessioned column in the items table was not
configurable in the columns settings.

To test:
- Make sure the Date accessioned is shown in the column list
  on both tables
- Make sure that configuring it via Adminitration > Configure
  columns works as intended
Comment 20 Martin Renvoize 2020-05-04 08:30:44 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 21 Joy Nelson 2020-05-11 20:32:10 UTC
enhancement not backported to 19.11